$( function() {
  //Taille
  var spanTaille = $('#spanTaille');
	var sliderTaille = $('#sliderTaille');

	sliderTaille.slider({
		range : true,
		min : 1.20,
		max : 2.20,
    step : 0.01,
		values : [1.65, 1.90],
		slide : function(event, ui){
			spanTaille.html(
        ui.values[0] + ((ui.values[0]!=2)?((ui.values[0]*100%10 == 0) ? '0' : ''):'.00') +  ' - ' + ui.values[1] + ((ui.values[1]!=2)?((ui.values[1]*100%10 == 0) ? '0' : ''):'.00')  +' m'
      );
		}
	});

	spanTaille.html(sliderTaille.slider('values', 0) + ((sliderTaille.slider('values', 0)!=2)?((sliderTaille.slider('values', 0)*100%10==0)?'0':''):'.00') + ' - ' + sliderTaille.slider('values', 1) +  ((sliderTaille.slider('values', 1)!=2)?((sliderTaille.slider('values', 1)*100%10==0)?'0':''):'.00') + ' m');

  //Age
  var spanAge = $('#spanAge');
  var sliderAge = $('#sliderAge');

  sliderAge.slider({
    range : true,
    min : 18,
    max : 90,
    values : [25, 50],
    slide : function(event, ui){
      spanAge.html(ui.values[0] + ' - ' + ui.values[1] + ' ans');
    }
  });
  spanAge.html(sliderAge.slider('values', 0) + ' - ' + sliderAge.slider('values', 1) + ' ans');

  //Localisation
  var spanLocalisation = $('#spanLocalisation');
  var sliderLocalisation = $('#sliderLocalisation');

  sliderLocalisation.slider({
    range : true,
    min : 0,
    max : 500,
    values : [0, 25],
    slide : function(event, ui){
      spanLocalisation.html(ui.values[0] + ' - ' + ui.values[1] + ' km');
    }
  });
  spanLocalisation.html(sliderLocalisation.slider('values', 0) + ' - ' + sliderLocalisation.slider('values', 1) + ' km');

});
